View Issue Details

IDProjectCategoryView StatusLast Update
0003524Ham Radio DeluxeBugpublic2019-11-08 02:32
ReporterWA9PIEAssigned ToK7ZCZ 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.7.0.244 
Summary0003524: Logbook crashes with minidump in 6.7.0.238 build
DescriptionWhen I launch Logbook with the 6.7.0.238 build, it crashes and creates a minidump.

Steps To Reproduce- Launch Rig Control
- Launch Logbook

Crash with minidump
Additional InformationI have placed a copy of the minidump in the following folder:

GDFS\Shared drives\HRD Software\Dumps\Mantis 3524
TagsNo tags attached.
ModuleLogbook
Sub-ModuleFunctional
Testing Beta Successful

Activities

K7ZCZ

2019-10-28 23:21

administrator   ~0009052

The app is crashing at startup when setting up one of the window panes. The call stack in all of the three dumps is the same:

0:000> kb
  *** Stack trace for last set context - .thread/.cxr resets it
 # ChildEBP RetAddr  Args to Child              
00 021ce668 007e810f 1ac82228 1ac82e80 00bedf3c HRDLogbook!CXTPDockingPane::IsValid+0x2 [c:\program files (x86)\codejock software\mfc\xtreme toolkitpro v18.6.0\source\dockingpane\xtpdockingpane.cpp @ 279] 
01 021ce69c 007e80a6 0000011a fec2bcba 7fffffff HRDLogbook!CHRDLogbookFrame::InitPane+0x2f [c:\hrd67\logbook\hrdlogbook\hrdlogbookframe.cpp @ 538] 
02 021ce71c 00a63092 021cead0 fec2bc4e 021ce830 HRDLogbook!CHRDLogbookFrame::OnCreate+0xf46 [c:\hrd67\logbook\hrdlogbook\hrdlogbookframe.cpp @ 524] 
03 021ce7e8 006fb708 00000001 00000000 021cead0 HRDLogbook!CWnd::OnWndMsg+0x35e [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 2698] 
04 021ce810 00a6463c 00000001 00000000 021cead0 HRDLogbook!CXTPCommandBarsSiteBase<CMDIChildWnd>::OnWndMsg+0x68 [c:\hrd67\codejock software\mfc\xtreme toolkitpro v18.6.0\source\commandbars\xtpframewnd.h @ 204] 
05 021ce834 00a5f89f 00000001 00000000 021cead0 HRDLogbook!CWnd::WindowProc+0x2d [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 2099] 
06 021ce8a8 00a60060 1ac82228 00020bd2 00000001 HRDLogbook!AfxCallWndProc+0xc6 [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 268] 
07 021ce8c8 76a6474b 00020bd2 00000001 00000000 HRDLogbook!AfxWndProc+0x34 [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 417] 
08 021ce8f4 76a460bc 00a6002c 00020bd2 00000001 user32!_InternalCallWinProc+0x2b
09 021ce9d8 76a45c5a 00a6002c 00000000 00000001 user32!UserCallWinProcCheckWow+0x3ac
0a 021cea3c 76a4ece9 02e9d4c0 00000000 00000001 user32!DispatchClientMessage+0xea
0b 021cea88 773941cd 021ceaa4 00000068 021cf068 user32!__fnINLPCREATESTRUCT+0x69
0c 021ceb0c 76a41084 00000040 021cee90 021ceb68 ntdll!KiUserCallbackDispatcher+0x4d
0d 021cedec 76a4093e 021cee60 44cf0000 00000020 user32!VerNtUserCreateWindowEx+0x229
0e 021ceed4 76a570f3 0953ec10 40cf0000 80000000 user32!CreateWindowInternal+0x132
0f 021cef48 76a9ddf9 02e86530 00000000 00000220 user32!MDIClientWndProcWorker+0x1c3
10 021cef68 76a6474b 00010b5e 00000220 00000000 user32!MDIClientWndProcW+0x29
11 021cef94 76a460bc 76a9ddd0 00010b5e 00000220 user32!_InternalCallWinProc+0x2b
12 021cf078 76a4560f 76a9ddd0 00000000 00000220 user32!UserCallWinProcCheckWow+0x3ac
13 021cf0b0 00c1324a 76a9ddd0 00010b5e 00000220 user32!CallWindowProcW+0x7f
14 021cf0f8 76a6474b 76a9ddd0 00000220 00000000 HRDLogbook!CXTPHookManager::HookWndProc+0xaa [c:\program files (x86)\codejock software\mfc\xtreme toolkitpro v18.6.0\source\common\xtphookmanager.cpp @ 440] 
15 021cf124 76a460bc 00c131a0 00010b5e 00000220 user32!_InternalCallWinProc+0x2b
16 021cf208 76a4560f 00c131a0 00000000 00000220 user32!UserCallWinProcCheckWow+0x3ac
17 021cf240 00a60ff0 00c131a0 00010b5e 00000220 user32!CallWindowProcW+0x7f
18 021cf260 00a6102c 00000220 00000000 021cf66c HRDLogbook!CWnd::DefWindowProcW+0x54 [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 1107] 
19 021cf278 00c26bd9 00c26bd0 0721b340 00a63537 HRDLogbook!CWnd::Default+0x36 [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 297] 
1a 021cf284 00a63537 00000000 021cf66c fec2a8f2 HRDLogbook!CXTPTabClientWnd::OnMDICreate+0x9 [c:\program files (x86)\codejock software\mfc\xtreme toolkitpro v18.6.0\source\commandbars\xtptabclientwnd.cpp @ 1202] 
1b 021cf354 00a6463c 00000220 00000000 021cf66c HRDLogbook!CWnd::OnWndMsg+0x803 [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 2698] 
1c 021cf378 00c28228 00000220 00000000 021cf66c HRDLogbook!CWnd::WindowProc+0x2d [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 2099] 
1d 021cf3e0 00a5f89f 00000220 00000000 021cf66c HRDLogbook!CXTPTabClientWnd::WindowProc+0x1b8 [c:\program files (x86)\codejock software\mfc\xtreme toolkitpro v18.6.0\source\commandbars\xtptabclientwnd.cpp @ 2379] 
1e 021cf454 00a60060 0721b340 00010b5e 00000220 HRDLogbook!AfxCallWndProc+0xc6 [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 268] 
1f 021cf474 76a6474b 00010b5e 00000220 00000000 HRDLogbook!AfxWndProc+0x34 [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\wincore.cpp @ 417] 
20 021cf4a0 76a460bc 00a6002c 00010b5e 00000220 user32!_InternalCallWinProc+0x2b
21 021cf584 76a4586d 00a6002c 00000000 00000220 user32!UserCallWinProcCheckWow+0x3ac
22 021cf5e8 76a45533 02e86530 00000000 021cf66c user32!SendMessageWorker+0x1fd
23 021cf618 00a7fc90 00010b5e 00000220 00000000 user32!SendMessageW+0x123
24 021cf694 00a800e3 026246d4 0953ec10 40cf8000 HRDLogbook!CMDIChildWnd::Create+0x11b [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\winmdi.cpp @ 536] 
25 021cf6d8 006fb8f7 00000103 40cf8000 00000000 HRDLogbook!CMDIChildWnd::LoadFrame+0xca [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\winmdi.cpp @ 613] 
26 021cf6f4 00ae2798 00000103 00cf8000 00000000 HRDLogbook!CXTPFrameWndBase<CMDIChildWnd>::LoadFrame+0x17 [c:\hrd67\codejock software\mfc\xtreme toolkitpro v18.6.0\source\commandbars\xtpframewnd.h @ 245] 
27 021cf72c 00ab4a8d 098d4150 00000000 fec2acc2 HRDLogbook!CDocTemplate::CreateNewFrame+0x64 [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\doctempl.cpp @ 292] 
28 021cf764 00ab4a26 00000000 00000001 00000001 HRDLogbook!CMultiDocTemplate::OpenDocumentFile+0x61 [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\docmulti.cpp @ 125] 
29 021cf780 0088e7b7 00000000 00000001 fec2a2be HRDLogbook!CMultiDocTemplate::OpenDocumentFile+0x23 [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\docmulti.cpp @ 109] 
2a 021cf918 007e3685 fec2a5a6 012738d0 007e15f0 HRDLogbook!CMainFrame::RestoreLayout+0xc57 [c:\hrd67\logbook\hrdlogbook\mainfrm.cpp @ 3436] 
2b 021cfe00 00f83b63 00000000 0148eb78 023a4000 HRDLogbook!CHRDLogbookApp::InitInstance+0x2095 [c:\hrd67\logbook\hrdlogbook\hrdlogbook.cpp @ 943] 
2c 021cfe18 00bbd851 006d0000 00000000 02621f28 HRDLogbook!AfxWinMain+0x5f [d:\agent\_work\3\s\src\vctools\vc7libs\ship\atlmfc\src\mfc\winmain.cpp @ 37] 
2d (Inline) -------- -------- -------- -------- HRDLogbook!invoke_main+0x1a [d:\agent\_work\3\s\src\vctools\crt\vcstartup\src\startup\exe_common.inl @ 118] 
2e 021cfe64 76626359 023a4000 76626340 021cfed0 HRDLogbook!__scrt_common_main_seh+0xf8 [d:\agent\_work\3\s\src\vctools\crt\vcstartup\src\startup\exe_common.inl @ 288] 
2f 021cfe74 77387b74 023a4000 0ca61c99 00000000 kernel32!BaseThreadInitThunk+0x19
30 021cfed0 77387b44 ffffffff 773a8f23 00000000 ntdll!__RtlUserThreadStart+0x2f
31 021cfee0 00000000 00bbd8d5 023a4000 00000000 ntdll!_RtlUserThreadStart+0x1b

K7ZCZ

2019-10-28 23:23

administrator   ~0009053

fixed in this change set:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5250

WA9PIE

2019-10-29 05:20

administrator   ~0009061

Validated

Issue History

Date Modified Username Field Change
2019-10-28 19:22 WA9PIE New Issue
2019-10-28 19:31 WA9PIE Assigned To => K7ZCZ
2019-10-28 19:31 WA9PIE Status new => assigned
2019-10-28 19:31 WA9PIE Additional Information Updated View Revisions
2019-10-28 23:21 K7ZCZ Note Added: 0009052
2019-10-28 23:23 K7ZCZ Status assigned => resolved
2019-10-28 23:23 K7ZCZ Resolution open => fixed
2019-10-28 23:23 K7ZCZ Note Added: 0009053
2019-10-29 05:20 WA9PIE Status resolved => closed
2019-10-29 05:20 WA9PIE Fixed in Version => 6.7.0.239
2019-10-29 05:20 WA9PIE Testing Not Started => Beta Successful
2019-10-29 05:20 WA9PIE Note Added: 0009061
2019-11-08 02:10 WA9PIE Fixed in Version 6.7.0.239 => 6.7.0.244
2019-11-08 02:32 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe